Opened 4 years ago

Closed 4 years ago

#51997 closed enhancement (wontfix)

bzr: Add python35 variant

Reported by: mf2k (Frank Schima) Owned by: raimue (Rainer Müller)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: bzr

Description

Can a python 35 variant be added to bzr so it does not rely solely on python 2.7? The homepage says that python 2.6 and up can be used, although it is not clear if they mean python 3.

Change History (1)

comment:1 Changed 4 years ago by raimue (Rainer Müller)

Resolution: wontfix
Status: newclosed

bzr only works with Python 2. This is also true for the latest release bzr 2.7 that is not ported yet because of compatibility problems with other bzr-* plugins. There are not upstream efforts (anymore) to make it compatible with Python 3 as far as I know.

I once thought about adding multiple +python2x variants, but the problem is that bzr and all of the related plugins (bzr-*) need to use the same python version. There is currently no good way in MacPorts to enforce such a selection of variants, or to automate this selection. Even if bzr had multiple +python2x variants, users would be required to use an explicit -python27 +python26 on all plugins to use a non-default variant.

I decided it was not worth to put effort into the bzr-* port family to automate this in any way, because

  • the development on bzr itself was halted
  • the user base will decrease more and more over time
  • there are no good reasons to prefer python26 over python27
Note: See TracTickets for help on using tickets.